TheSwamp

Code Red => AutoLISP (Vanilla / Visual) => Topic started by: qhabz on September 20, 2018, 05:27:36 AM

Title: MULTIPOLYLINES and Auto fill with hatch ANSI37
Post by: qhabz on September 20, 2018, 05:27:36 AM
Hi, anyone does a lisp with MULTIPOLYLINES and automatically fill with hatch ANSI37. I've got a lisp before MPline (credit to the owner) but i want to add an automatic hatch fill at the end of the command. This is for blockwork walls. TIA
Title: Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
Post by: qhabz on September 23, 2018, 07:52:09 AM
i've sorted it out...   thanks :mrgreen:
Title: Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
Post by: ahsattarian on December 29, 2020, 01:11:50 AM
try this :



Code - Auto/Visual Lisp: [Select]
  1. (defun c:a ()
  2.   (setq ss (ssget))
  3.   (setq n (sslength ss))
  4.   (setq k -1)
  5.   (repeat n
  6.     (setq k (1+ k))
  7.     (setq s (ssname ss k))
  8.     (command "bhatch" "select" s "" "")
  9.   )
  10.   (princ)
  11. )



Title: Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
Post by: RolandOrzabal on January 25, 2021, 09:03:17 PM
i've sorted it out...   thanks :mrgreen:

Hi interested in this can you share how you managed to do this?
Title: Re: MULTIPOLYLINES and Auto fill with hatch ANSI37
Post by: RlordCAD on April 01, 2021, 11:36:45 PM
I thinks at last this is the right LSP for me.
Can i know how to do MultiPolylines?